List endpoint rollouts
curl --request GET \
--url https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/rollouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/rollouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/rollouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"endpointId": "<string>",
"sourceDeploymentId": "<string>",
"targetDeploymentId": "<string>",
"strategy": "ROLLOUT_STRATEGY_TYPE_ROLLING",
"state": "ROLLOUT_STATE_RUNNING",
"createdAt": "2023-11-07T05:31:56Z",
"status": {
"totalSteps": 123,
"steps": [
{
"stepIndex": 123,
"targetTrafficPercent": 123,
"state": "ROLLOUT_STEP_STATE_PENDING",
"metrics": [
{
"name": "<string>",
"stat": "METRIC_STAT_TYPE_AVG",
"percentile": 123,
"check": "METRIC_CHECK_TYPE_THRESHOLD",
"sourceValue": 123,
"targetValue": 123,
"threshold": 123,
"operator": "THRESHOLD_OPERATOR_GT",
"maxRegressionPercent": 123,
"direction": "REGRESSION_DIRECTION_HIGHER_IS_WORSE",
"verdict": "METRIC_VERDICT_PASS",
"failureReason": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"condition": {
"category": "ROLLOUT_FAILURE_CATEGORY_METRIC_REGRESSION",
"message": "<string>",
"atStep": 123,
"observedAt": "2023-11-07T05:31:56Z",
"metrics": [
{
"name": "<string>",
"stat": "METRIC_STAT_TYPE_AVG",
"percentile": 123,
"check": "METRIC_CHECK_TYPE_THRESHOLD",
"sourceValue": 123,
"targetValue": 123,
"threshold": 123,
"operator": "THRESHOLD_OPERATOR_GT",
"maxRegressionPercent": 123,
"direction": "REGRESSION_DIRECTION_HIGHER_IS_WORSE",
"verdict": "METRIC_VERDICT_PASS",
"failureReason": "<string>"
}
],
"type": "CapacityLimited"
},
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"category": "ROLLOUT_FAILURE_CATEGORY_METRIC_REGRESSION",
"message": "<string>",
"atStep": 123,
"observedAt": "2023-11-07T05:31:56Z",
"metrics": [
{
"name": "<string>",
"stat": "METRIC_STAT_TYPE_AVG",
"percentile": 123,
"check": "METRIC_CHECK_TYPE_THRESHOLD",
"sourceValue": 123,
"targetValue": 123,
"threshold": 123,
"operator": "THRESHOLD_OPERATOR_GT",
"maxRegressionPercent": 123,
"direction": "REGRESSION_DIRECTION_HIGHER_IS_WORSE",
"verdict": "METRIC_VERDICT_PASS",
"failureReason": "<string>"
}
],
"type": "CapacityLimited"
}
]
},
"currentStep": 123,
"currentTrafficPercent": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"etag": "<string>",
"pauseInfo": {
"pausedAt": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
],
"object": "list",
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Rollouts
List endpoint rollouts
Lists rollout histories for an endpoint. Use filter=ROLLOUT_FILTER_ACTIVE to return only the active rollout, if one exists.
GET
/
projects
/
{projectId}
/
endpoints
/
{endpointId}
/
rollouts
List endpoint rollouts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project identifier.
Endpoint identifier.
Query Parameters
Maximum number of rollouts to return. Max 500, defaults to 50.
Cursor from a previous rollout list response.
Narrow results to active or terminal rollouts. Omit to list all rollouts.
Available options:
ROLLOUT_FILTER_ACTIVE, ROLLOUT_FILTER_TERMINAL Was this page helpful?
⌘I